	<div class="adventeqa-about-one-container">

		<div class="adventeqa-about-one-contact">

			<?php if( 'no' != get_theme_mod( 'adventeqa_show_about', 'yes' ) ): ?>
			<div class="adventeqa-about-one-info">

				<?php
				
				if( '' != get_theme_mod( 'adventeqa_footer_about_id' ) && 'select' != get_theme_mod( 'adventeqa_footer_about_id' ) ){
					
					$adventeqa_footer_post_id = get_theme_mod( 'adventeqa_footer_about_id' );
					
				}else{
					
					$adventeqa_footer_post_id = adventeqa_get_random_post();
					
				}
				
				//$adventeqa_footer_post_id = get_theme_mod( 'adventeqa_footer_about_id', adventeqa_get_random_post() );
				$adventeqa_footer_about_post = get_post($adventeqa_footer_post_id);	
					
				?>
				
				<h4><?php echo esc_html($adventeqa_footer_about_post->post_title); ?></h4>
				<p><?php echo  esc_html(adventeqa_limitedstring($adventeqa_footer_about_post->post_content)); ?></p>

			</div>
			<?php endif; ?>

			<div class="adventeqa-about-one-phone">

				<span></span>
				<p><?php esc_html_e( 'Call Us', 'adventeqa' ); ?></p>
				<h4><?php echo esc_html(get_theme_mod( 'adventeqa_phone', '' )); ?></h4>

			</div>

			<div class="adventeqa-about-one-email">

				<span></span>
				<p><?php esc_html_e( 'Email Us', 'adventeqa' ); ?></p>
				<h4><?php echo esc_html(get_theme_mod( 'adventeqa_email', '' )); ?></h4>

			</div>	

			<div class="adventeqa-about-one-social">

				<?php if( '' != get_theme_mod( 'adventeqa_facebook_url', '' ) ): ?>
				<a class="adventeqa-facebook" href="<?php echo esc_url(get_theme_mod( 'adventeqa_facebook_url' )); ?>"></a>
				<?php endif; ?>	

				<?php if( '' != get_theme_mod( 'adventeqa_instagram_url', '' ) ): ?>
				<a class="adventeqa-instagram" href="<?php echo esc_url(get_theme_mod( 'adventeqa_instagram_url' )); ?>"></a>
				<?php endif; ?>	

				<?php if( '' != get_theme_mod( 'adventeqa_twitter_url', '' ) ): ?>
				<a class="adventeqa-twitter" href="<?php echo esc_url(get_theme_mod( 'adventeqa_twitter_url' )); ?>"></a>
				<?php endif; ?>

			</div>		


		</div>

		<div class="adventeqa-about-one-blog">

			<?php

				$adventeqa_blog_cat = get_theme_mod('adventeqa_about_posts_cat', 1);
				$adventeqa_blog_args = array(
					'posts_per_page' => 3,
					'post_status'    => 'publish',
					'ignore_sticky_posts' => 1,
					'cat' => $adventeqa_blog_cat,
				); // WPCS: slow query ok.

				$adventeqa_blog = new WP_Query( $adventeqa_blog_args );

				if ( $adventeqa_blog->have_posts() ):
				while ( $adventeqa_blog->have_posts() ):
				$adventeqa_blog->the_post();

			?>
			<div class="adventeqa-about-one-blog-item">

				<?php

					//$adventeqa_blog_item_image = get_template_directory_uri() . '/assets/images/voltshop-hero-six-04.jpg';

					if( has_post_thumbnail() ){

						echo '<span><img src="' . esc_url(get_the_post_thumbnail_url()) . '"/></span>';

					}else{

						echo '<span><img src="' . esc_url(get_template_directory_uri()) . '/assets/images/voltshop-hero-six-04.jpg"/></span>';

					}			

				?>

				<h4><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
				<p><?php the_excerpt(); ?></p>			

			</div>
			<?php

				endwhile;
				wp_reset_postdata();	
				endif;

			?>

			<div class="adventeqa-about-one-blog-link">
				<a href="<?php echo esc_url(get_category_link( $adventeqa_blog_cat )); ?>"><?php esc_html_e( 'More', 'adventeqa' ); ?></a>
			</div>

		</div>	

		<?php if( 'yes' == get_theme_mod('adventeqa_show_footer_features') ): ?>
		<div class="adventeqa-about-one-features">

			<?php
			
				$adventeqa_footer_features = array(
					'adventeqa_footer_feature_one_post', 'adventeqa_footer_feature_two_post', 'adventeqa_footer_feature_three_post'
				);
				foreach( $adventeqa_footer_features as $adventeqa_footer_feature ):
				
					$adventeqa_footer_feature_id = get_theme_mod($adventeqa_footer_feature);
			
					if( '' == $adventeqa_footer_feature_id || 'select' == $adventeqa_footer_feature_id ){
						$adventeqa_footer_feature_id = adventeqa_get_random_post();
					}
					
					$adventeqa_footer_feature_id = (int)$adventeqa_footer_feature_id;
			
					$adventeqa_footer_feature_post = get_post($adventeqa_footer_feature_id);
						
					$adventeqa_footer_feature_post_url = get_the_post_thumbnail_url($adventeqa_footer_feature_id,'full');
					if( empty($adventeqa_footer_feature_post_url) ){
						$adventeqa_footer_feature_post_url = get_template_directory_uri() . '/assets/images/voltshop-hero-six-04.jpg';
					}
			
			?>
			<div class="adventeqa-about-one-features-item">

				<span><img src="<?php echo esc_url($adventeqa_footer_feature_post_url); ?>" /></span>
				<h4><?php echo esc_html($adventeqa_footer_feature_post->post_title); ?></h4>
				<p><?php echo  esc_html(adventeqa_limitedstring($adventeqa_footer_feature_post->post_content, 50)); ?></p>

			</div>
			<?php endforeach; ?>

		</div>
		<?php endif; ?>

	</div>