<div id="adventeqa-categories-container" class="adventeqa-categories-one-container">

	<?php
	
		$adventeqa_cat_ids = get_terms( array( 
			'taxonomy' => 'product_cat',
			'fields' => 'ids',
			'meta_query' => array(
			  array(
				 'key'       => 'adventeqa-show-on-front',
				 'value'     => 'yes',
				 'compare'   => '='
			  )
			),
		) );
		if( !empty($adventeqa_cat_ids) ):
		foreach( $adventeqa_cat_ids as $adventeqa_cat ):
	
		$adventeqa_cat_id = $adventeqa_cat;
		$adventeqa_cat_term = get_term_by( 'id', $adventeqa_cat_id, 'product_cat' );
		$adventeqa_cat_term_name = $adventeqa_cat_term->name;
		$adventeqa_cat_term_desc = $adventeqa_cat_term->description;
	
		//$adventeqa_cat_image_id = get_woocommerce_term_meta( $adventeqa_cat_id, 'thumbnail_id', true );
		$adventeqa_cat_image_id = get_term_meta( $adventeqa_cat_id, 'thumbnail_id', true );
		$adventeqa_cat_image_src = wp_get_attachment_image_src( $adventeqa_cat_image_id, 'full' );
		if( false === $adventeqa_cat_image_src ):
			$adventeqa_cat_image_src = array(esc_url(get_template_directory_uri()) . '/assets/images/product.png');
		endif;
		$adventeqa_cat_term_link = get_term_link( (int)$adventeqa_cat_id, 'product_cat' );

	?>	
	<div class="adventeqa-categories-one-block">
	
		<div class="adventeqa-categories-one-cover">
			
			<img src="<?php echo esc_url($adventeqa_cat_image_src[0]); ?>" />
			<div class="adventeqa-categories-one-cover-overlay">
				
			</div>
			<div class="adventeqa-categories-one-cover-content">
				
				<h3><?php echo esc_html($adventeqa_cat_term_name); ?></h3>
				<p><?php echo esc_html($adventeqa_cat_term_desc); ?></p>
				
			</div>			
			
		</div>
		
		<?php
			
			$adventeqa_cat_products_args = array(
				'category' => array( $adventeqa_cat_term->slug ),
				'return' => 'ids',
				'limit' => get_theme_mod( 'adventeqa_category_item_num', 3 ),
			);
			$adventeqa_cat_products = wc_get_products( $adventeqa_cat_products_args );
			foreach( $adventeqa_cat_products as $adventeqa_cat_product_id ):
		
			$adventeqa_cat_product = wc_get_product($adventeqa_cat_product_id);
			$adventeqa_cat_product_type = $adventeqa_cat_product->get_type();
			$adventeqa_cat_product_image = wp_get_attachment_image_src( $adventeqa_cat_product->get_image_id(), 'full' );
			$adventeqa_cat_product_currency = get_woocommerce_currency_symbol();
			$adventeqa_cat_product_orig_price = $adventeqa_cat_product->get_regular_price();
			$adventeqa_cat_product_sale_price = $adventeqa_cat_product->get_sale_price();		
			
		
			//var_dump($adventeqa_cat_product);
		
		?>
		<div class="adventeqa-categories-one-item">
			
			<div class="adventeqa-categories-one-item-image">
				
				<img src="<?php echo esc_url($adventeqa_cat_product_image[0]); ?>" />
				
			</div>
			<div class="adventeqa-categories-one-item-content">
				
				<h4><a href="<?php echo esc_url($adventeqa_cat_product->get_permalink()); ?>"><?php echo esc_html($adventeqa_cat_product->get_name()); ?></a></h4>
				<p>
				<?php if( "variable" == $adventeqa_cat_product_type ): ?>

					<span class="adventeqa-categories-one-item-price-sale"><?php echo esc_html($adventeqa_cat_product->get_price_html()); ?></span>

				<?php else : ?>

					<?php if( "" != $adventeqa_cat_product_sale_price ): ?>

						<span class="adventeqa-categories-one-item-price-orig"><s><?php echo esc_html($adventeqa_cat_product_currency) .'' . esc_html($adventeqa_cat_product_orig_price); ?></s></span>
						<span class="adventeqa-categories-one-item-price-sale"><?php echo esc_html($adventeqa_cat_product_currency) .'' . esc_html($adventeqa_cat_product_sale_price); ?></span>

					<?php else : ?>

						<span class="adventeqa-categories-one-item-price-sale"><?php echo esc_html($adventeqa_cat_product_currency) .'' . esc_html($adventeqa_cat_product_orig_price); ?></span>

					<?php endif; ?>						

				<?php endif; ?>				
				</p>
				<p><a href="<?php echo esc_url($adventeqa_cat_product->get_permalink()); ?>"><?php esc_html_e( "Details", "adventeqa" ); ?></a></p>
				
			</div>			
			
		</div>
		<?php endforeach; ?>
		
		<div class="adventeqa-categories-one-more">
			
			<a href="<?php echo esc_url($adventeqa_cat_term_link); ?>"><?php esc_html_e( "View More", "adventeqa" ); ?></a>
			
		</div>
	
	</div>
	<?php endforeach; else: ?>
	
	<div class="adventeqa-categories-one-block">
	
		<div class="adventeqa-categories-one-cover">
			
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			<div class="adventeqa-categories-one-cover-overlay">
				
			</div>
			<div class="adventeqa-categories-one-cover-content">
				
				<h3><?php esc_html_e( "Test Category", "adventeqa" ); ?></h3>
				<p><?php esc_html_e( "Description for this dummy category", "adventeqa" ); ?></p>
				
			</div>			
			
		</div>
		
		<div class="adventeqa-categories-one-item">
			
			<div class="adventeqa-categories-one-item-image">
				
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				
			</div>
			<div class="adventeqa-categories-one-item-content">
				
				<h4><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ); ?></a></h4>
				<p>
					<span class="adventeqa-categories-one-item-price-sale"><?php esc_html_e( "$34", "adventeqa" ); ?></span>			
				</p>
				<p><a href="#"><?php esc_html_e( "Details", "adventeqa" ); ?></a></p>
				
			</div>			
			
		</div>
		<div class="adventeqa-categories-one-item">
			
			<div class="adventeqa-categories-one-item-image">
				
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				
			</div>
			<div class="adventeqa-categories-one-item-content">
				
				<h4><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ); ?></a></h4>
				<p>
					<span class="adventeqa-categories-one-item-price-sale"><?php esc_html_e( "$34", "adventeqa" ); ?></span>			
				</p>
				<p><a href="#"><?php esc_html_e( "Details", "adventeqa" ); ?></a></p>
				
			</div>			
			
		</div>
		<div class="adventeqa-categories-one-item">
			
			<div class="adventeqa-categories-one-item-image">
				
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				
			</div>
			<div class="adventeqa-categories-one-item-content">
				
				<h4><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ); ?></a></h4>
				<p>
					<span class="adventeqa-categories-one-item-price-sale"><?php esc_html_e( "$34", "adventeqa" ); ?></span>			
				</p>
				<p><a href="#"><?php esc_html_e( "Details", "adventeqa" ); ?></a></p>
				
			</div>			
			
		</div>
				
		<div class="adventeqa-categories-one-more">
			
			<a href="#"><?php esc_html_e( "View More", "adventeqa" ); ?></a>
			
		</div>
	
	</div>
		
	<div class="adventeqa-categories-one-block">
	
		<div class="adventeqa-categories-one-cover">
			
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			<div class="adventeqa-categories-one-cover-overlay">
				
			</div>
			<div class="adventeqa-categories-one-cover-content">
				
				<h3><?php esc_html_e( "Test Category", "adventeqa" ); ?></h3>
				<p><?php esc_html_e( "Description for this dummy category", "adventeqa" ); ?></p>
				
			</div>			
			
		</div>
		
		<div class="adventeqa-categories-one-item">
			
			<div class="adventeqa-categories-one-item-image">
				
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				
			</div>
			<div class="adventeqa-categories-one-item-content">
				
				<h4><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ); ?></a></h4>
				<p>
					<span class="adventeqa-categories-one-item-price-sale"><?php esc_html_e( "$34", "adventeqa" ); ?></span>			
				</p>
				<p><a href="#"><?php esc_html_e( "Details", "adventeqa" ); ?></a></p>
				
			</div>			
			
		</div>
		<div class="adventeqa-categories-one-item">
			
			<div class="adventeqa-categories-one-item-image">
				
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				
			</div>
			<div class="adventeqa-categories-one-item-content">
				
				<h4><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ); ?></a></h4>
				<p>
					<span class="adventeqa-categories-one-item-price-sale"><?php esc_html_e( "$34", "adventeqa" ); ?></span>			
				</p>
				<p><a href="#"><?php esc_html_e( "Details", "adventeqa" ); ?></a></p>
				
			</div>			
			
		</div>
		<div class="adventeqa-categories-one-item">
			
			<div class="adventeqa-categories-one-item-image">
				
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				
			</div>
			<div class="adventeqa-categories-one-item-content">
				
				<h4><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ); ?></a></h4>
				<p>
					<span class="adventeqa-categories-one-item-price-sale"><?php esc_html_e( "$34", "adventeqa" ); ?></span>			
				</p>
				<p><a href="#"><?php esc_html_e( "Details", "adventeqa" ); ?></a></p>
				
			</div>			
			
		</div>
				
		<div class="adventeqa-categories-one-more">
			
			<a href="#"><?php esc_html_e( "View More", "adventeqa" ); ?></a>
			
		</div>
	
	</div>
		
	<div class="adventeqa-categories-one-block">
	
		<div class="adventeqa-categories-one-cover">
			
			<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			<div class="adventeqa-categories-one-cover-overlay">
				
			</div>
			<div class="adventeqa-categories-one-cover-content">
				
				<h3><?php esc_html_e( "Test Category", "adventeqa" ); ?></h3>
				<p><?php esc_html_e( "Description for this dummy category", "adventeqa" ); ?></p>
				
			</div>			
			
		</div>
		
		<div class="adventeqa-categories-one-item">
			
			<div class="adventeqa-categories-one-item-image">
				
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				
			</div>
			<div class="adventeqa-categories-one-item-content">
				
				<h4><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ); ?></a></h4>
				<p>
					<span class="adventeqa-categories-one-item-price-sale"><?php esc_html_e( "$34", "adventeqa" ); ?></span>			
				</p>
				<p><a href="#"><?php esc_html_e( "Details", "adventeqa" ); ?></a></p>
				
			</div>			
			
		</div>
		<div class="adventeqa-categories-one-item">
			
			<div class="adventeqa-categories-one-item-image">
				
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				
			</div>
			<div class="adventeqa-categories-one-item-content">
				
				<h4><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ); ?></a></h4>
				<p>
					<span class="adventeqa-categories-one-item-price-sale"><?php esc_html_e( "$34", "adventeqa" ); ?></span>			
				</p>
				<p><a href="#"><?php esc_html_e( "Details", "adventeqa" ); ?></a></p>
				
			</div>			
			
		</div>
		<div class="adventeqa-categories-one-item">
			
			<div class="adventeqa-categories-one-item-image">
				
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				
			</div>
			<div class="adventeqa-categories-one-item-content">
				
				<h4><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ); ?></a></h4>
				<p>
					<span class="adventeqa-categories-one-item-price-sale"><?php esc_html_e( "$34", "adventeqa" ); ?></span>			
				</p>
				<p><a href="#"><?php esc_html_e( "Details", "adventeqa" ); ?></a></p>
				
			</div>			
			
		</div>
				
		<div class="adventeqa-categories-one-more">
			
			<a href="#"><?php esc_html_e( "View More", "adventeqa" ); ?></a>
			
		</div>
	
	</div>
	
	<?php endif; ?>
	
</div>