<?php


?>

<div id="adventeqa-latest-container" class="adventeqa-latest-one-container">

	<div class="adventeqa-latest-one-heading">
	
		<h3><?php echo esc_html(get_theme_mod('adventeqa_latest_heading', __('Latest Products', "adventeqa"))); ?></h3>
		<p><?php echo esc_html(get_theme_mod('adventeqa_latest_text', __('Some Of Our Products', "adventeqa"))); ?></p>
		
	</div>
	
	<div class="adventeqa-latest-one-content">
	
		<?php

			$adventeqa_products_products = array();
		
			if( class_exists( 'WooCommerce' ) ):
		
					$adventeqa_products_args = array(
						'return' => 'ids',
						'limit'	=> get_theme_mod('adventeqa_latest_item_num', '9'),
					);
					$adventeqa_products_products = wc_get_products( $adventeqa_products_args );

					if( !empty($adventeqa_products_products) ):
					foreach( $adventeqa_products_products as $i ) : 
					$adventeqa_products_product = wc_get_product( $i );

					$adventeqa_products_product_id = $i;
					$adventeqa_products_product_orig_price = "";
					$adventeqa_products_product_sale_price = "";
					$adventeqa_products_product_on_sale = false;
					$adventeqa_products_product_currency = "";
					$adventeqa_products_product_type = "";
					$adventeqa_products_product_name = "";
					$adventeqa_products_product_desc = "";
					$adventeqa_products_product_sale_amount = (int)0;
					$adventeqa_products_product_variations = "";
					$adventeqa_products_product_variation_name = "";
					$adventeqa_products_product_variation_value = array();
					$adventeqa_products_product_has_variations = "no";
					$adventeqa_products_product_variation_array = array();

					$adventeqa_products_product_orig_price = $adventeqa_products_product->get_regular_price();
					$adventeqa_products_product_sale_price = $adventeqa_products_product->get_sale_price();
					$adventeqa_products_product_on_sale = $adventeqa_products_product->is_on_sale();
					$adventeqa_products_product_currency = get_woocommerce_currency_symbol();
					$adventeqa_products_product_type = $adventeqa_products_product->get_type();
					$adventeqa_products_product_image = wp_get_attachment_image_src( $adventeqa_products_product->get_image_id(), 'full' );
					$adventeqa_products_product_name = $adventeqa_products_product->get_name();
					$adventeqa_products_product_desc = $adventeqa_products_product->get_short_description();
				
					if( $adventeqa_products_product->is_type( 'variable' ) ){
						
						$adventeqa_products_product_has_variations = "yes";
						
						$adventeqa_products_product_variations = $adventeqa_products_product->get_available_variations();
						
						foreach( $adventeqa_products_product_variations as $i ){

							$adventeqa_products_product_variation_array[$i["variation_id"]] = array();
							
							foreach( $i["attributes"] as $key => $value){
								$adventeqa_products_product_variation_name = str_replace('attribute_','',$key);
								$adventeqa_products_product_variation_value[] = $value;
								$adventeqa_products_product_variation_array[$i["variation_id"]]['value'] = $value;
							}
							
							//$adventeqa_products_product_variation_id[] = $i["variation_id"];
							$adventeqa_products_product_variation_array[$i["variation_id"]]["display_price"] = $i["display_price"];
							$adventeqa_products_product_variation_array[$i["variation_id"]]["display_regular_price"] = $i["display_regular_price"];

						}						
						
					}
				
					
				
					if( "" != $adventeqa_products_product_sale_price ){
						
						$adventeqa_products_product_sale_amount = ( ( floor($adventeqa_products_product_orig_price * 100) - floor($adventeqa_products_product_sale_price * 100) ) / 100 );
						
					}

		?>		
		<div class="adventeqa-latest-one-content-item">
		
			<div class="adventeqa-latest-one-content-item-image">
				<img src="<?php echo esc_url($adventeqa_products_product_image[0]); ?>" />
			</div>
			<div class="adventeqa-latest-one-content-item-content">
				
				<h3><a href="<?php echo esc_url($adventeqa_products_product->get_permalink()); ?>"><?php echo esc_html($adventeqa_products_product_name); ?></a></h3>
				<p><?php echo esc_html($adventeqa_products_product_desc); ?></p>
				<p>

					<?php if( "variable" == $adventeqa_products_product_type ): ?>

						<span class="adventeqa-latest-one-item-price-sale"><?php echo esc_html($adventeqa_products_product->get_price_html()); ?></span>

					<?php else : ?>

						<?php if( "" != $adventeqa_products_product_sale_price ): ?>

							<span class="adventeqa-latest-one-item-price-orig"><s><?php echo esc_html($adventeqa_products_product_currency) .'' . esc_html($adventeqa_products_product_orig_price); ?></s></span>
							<span class="adventeqa-latest-one-item-price-sale"><?php echo esc_html($adventeqa_products_product_currency) .'' . esc_html($adventeqa_products_product_sale_price); ?></span>

						<?php else : ?>

							<span class="adventeqa-latest-one-item-price-sale"><?php echo esc_html($adventeqa_products_product_currency ).'' . esc_html($adventeqa_products_product_orig_price); ?></span>

						<?php endif; ?>						

					<?php endif; ?>						
				</p>
				<p class="adventeqa-latest-one-content-item-content-add-to-cart"><a href="<?php echo esc_url($adventeqa_products_product->get_permalink()); ?>"><?php esc_html_e( "Details", "adventeqa" ); ?></a></p>
				
			</div>			
			
		</div>
		<?php endforeach; endif; endif; ?>
		
		<?php if( !class_exists( 'WooCommerce' ) || empty($adventeqa_products_products) ): ?>
		<div class="adventeqa-latest-one-content-item">
		
			<div class="adventeqa-latest-one-content-item-image">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			</div>
			<div class="adventeqa-latest-one-content-item-content">
				
				<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
				<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
				<p>
					<span class="adventeqa-latest-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>							
				</p>
				<p class="adventeqa-latest-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "Details", "adventeqa" ) ?></a></p>
				
			</div>			
			
		</div>
				
		<div class="adventeqa-latest-one-content-item">
		
			<div class="adventeqa-latest-one-content-item-image">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			</div>
			<div class="adventeqa-latest-one-content-item-content">
				
				<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
				<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
				<p>
					<span class="adventeqa-latest-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>							
				</p>
				<p class="adventeqa-latest-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "Details", "adventeqa" ) ?></a></p>
				
			</div>			
			
		</div>
				
		<div class="adventeqa-latest-one-content-item">
		
			<div class="adventeqa-latest-one-content-item-image">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			</div>
			<div class="adventeqa-latest-one-content-item-content">
				
				<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
				<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
				<p>
					<span class="adventeqa-latest-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>							
				</p>
				<p class="adventeqa-latest-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "Details", "adventeqa" ) ?></a></p>
				
			</div>			
			
		</div>
				
		<div class="adventeqa-latest-one-content-item">
		
			<div class="adventeqa-latest-one-content-item-image">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			</div>
			<div class="adventeqa-latest-one-content-item-content">
				
				<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
				<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
				<p>
					<span class="adventeqa-latest-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>							
				</p>
				<p class="adventeqa-latest-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "Details", "adventeqa" ) ?></a></p>
				
			</div>			
			
		</div>
				
		<div class="adventeqa-latest-one-content-item">
		
			<div class="adventeqa-latest-one-content-item-image">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			</div>
			<div class="adventeqa-latest-one-content-item-content">
				
				<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
				<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
				<p>
					<span class="adventeqa-latest-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>							
				</p>
				<p class="adventeqa-latest-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "Details", "adventeqa" ) ?></a></p>
				
			</div>			
			
		</div>
				
		<div class="adventeqa-latest-one-content-item">
		
			<div class="adventeqa-latest-one-content-item-image">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			</div>
			<div class="adventeqa-latest-one-content-item-content">
				
				<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
				<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
				<p>
					<span class="adventeqa-latest-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>							
				</p>
				<p class="adventeqa-latest-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "Details", "adventeqa" ) ?></a></p>
				
			</div>			
			
		</div>
				
		<div class="adventeqa-latest-one-content-item">
		
			<div class="adventeqa-latest-one-content-item-image">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			</div>
			<div class="adventeqa-latest-one-content-item-content">
				
				<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
				<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
				<p>
					<span class="adventeqa-latest-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>							
				</p>
				<p class="adventeqa-latest-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "Details", "adventeqa" ) ?></a></p>
				
			</div>			
			
		</div>
				
		<div class="adventeqa-latest-one-content-item">
		
			<div class="adventeqa-latest-one-content-item-image">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			</div>
			<div class="adventeqa-latest-one-content-item-content">
				
				<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
				<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
				<p>
					<span class="adventeqa-latest-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>							
				</p>
				<p class="adventeqa-latest-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "Details", "adventeqa" ) ?></a></p>
				
			</div>			
			
		</div>
				
		<div class="adventeqa-latest-one-content-item">
		
			<div class="adventeqa-latest-one-content-item-image">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			</div>
			<div class="adventeqa-latest-one-content-item-content">
				
				<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
				<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
				<p>
					<span class="adventeqa-latest-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>							
				</p>
				<p class="adventeqa-latest-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "Details", "adventeqa" ) ?></a></p>
				
			</div>			
			
		</div>
				
		<div class="adventeqa-latest-one-content-item">
		
			<div class="adventeqa-latest-one-content-item-image">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			</div>
			<div class="adventeqa-latest-one-content-item-content">
				
				<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
				<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
				<p>
					<span class="adventeqa-latest-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>							
				</p>
				<p class="adventeqa-latest-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "Details", "adventeqa" ) ?></a></p>
				
			</div>			
			
		</div>
				
		<div class="adventeqa-latest-one-content-item">
		
			<div class="adventeqa-latest-one-content-item-image">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			</div>
			<div class="adventeqa-latest-one-content-item-content">
				
				<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
				<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
				<p>
					<span class="adventeqa-latest-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>							
				</p>
				<p class="adventeqa-latest-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "Details", "adventeqa" ) ?></a></p>
				
			</div>			
			
		</div>
				
		<div class="adventeqa-latest-one-content-item">
		
			<div class="adventeqa-latest-one-content-item-image">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
			</div>
			<div class="adventeqa-latest-one-content-item-content">
				
				<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
				<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
				<p>
					<span class="adventeqa-latest-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>							
				</p>
				<p class="adventeqa-latest-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "Details", "adventeqa" ) ?></a></p>
				
			</div>			
			
		</div>		
		
		<?php endif; ?>
		
	</div>	

</div>