<?php

		$adventeqa_sale_query = array();

		$adventeqa_sale_num = get_theme_mod('adventeqa_sale_num', 6);
		$adventeqa_sale_num_now = 0;

		if( class_exists( 'WooCommerce' ) ){
			$adventeqa_sale_query = wc_get_product_ids_on_sale();
		}

?>

<div id="adventeqa-sale-container" class="adventeqa-sale-one-container">

	<div class="adventeqa-sale-one-heading">
	
		<div class="adventeqa-sale-one-heading-inner">
			
			<h2><?php echo esc_html(get_theme_mod('adventeqa_sale_heading', 'New Year Sale')); ?></h2>
			<h4><?php echo esc_html(get_theme_mod('adventeqa_sale_sub_heading', '30% OFF on All items')); ?></h4>
			<p><?php echo esc_html(get_theme_mod('adventeqa_sale_text', 'Nullam commodo, neque quis ullamcorper pulvinar')); ?></p>			
			
		</div>
		
	</div>
	<div class="adventeqa-sale-one-content">
		
		<div class="adventeqa-sale-one-content-inner">
			
			<?php 
				
				if( !empty($adventeqa_sale_query) ):
				foreach( $adventeqa_sale_query as $i ): if($adventeqa_sale_num_now < $adventeqa_sale_num): $adventeqa_sale_num_now++;
				$adventeqa_products_product = wc_get_product( $i );
			
					$adventeqa_products_product_id = $i;
					$adventeqa_products_product_orig_price = "";
					$adventeqa_products_product_sale_price = "";
					$adventeqa_products_product_on_sale = false;
					$adventeqa_products_product_currency = "";
					$adventeqa_products_product_type = "";
					$adventeqa_products_product_name = "";
					$adventeqa_products_product_desc = "";
					$adventeqa_products_product_sale_amount = (int)0;
					$adventeqa_products_product_variations = "";
					$adventeqa_products_product_variation_name = "";
					$adventeqa_products_product_variation_value = array();
					$adventeqa_products_product_has_variations = "no";
					$adventeqa_products_product_variation_array = array();

					$adventeqa_products_product_orig_price = $adventeqa_products_product->get_regular_price();
					$adventeqa_products_product_sale_price = $adventeqa_products_product->get_sale_price();
					$adventeqa_products_product_on_sale = $adventeqa_products_product->is_on_sale();
					$adventeqa_products_product_currency = get_woocommerce_currency_symbol();
					$adventeqa_products_product_type = $adventeqa_products_product->get_type();
					$adventeqa_products_product_image = wp_get_attachment_image_src( $adventeqa_products_product->get_image_id(), 'full' );
					$adventeqa_products_product_name = $adventeqa_products_product->get_name();
					$adventeqa_products_product_desc = $adventeqa_products_product->get_short_description();
			
					$adventeqa_products_product_is_variation = get_post_type( $i );
				
					if( $adventeqa_products_product->is_type( 'variable' ) ){
						
						$adventeqa_products_product_has_variations = "yes";
						
						$adventeqa_products_product_variations = $adventeqa_products_product->get_available_variations();
						
						foreach( $adventeqa_products_product_variations as $i ){

							$adventeqa_products_product_variation_array[$i["variation_id"]] = array();
							
							foreach( $i["attributes"] as $key => $value){
								$adventeqa_products_product_variation_name = str_replace('attribute_','',$key);
								$adventeqa_products_product_variation_value[] = $value;
								$adventeqa_products_product_variation_array[$i["variation_id"]]['value'] = $value;
							}
							
							//$adventeqa_products_product_variation_id[] = $i["variation_id"];
							$adventeqa_products_product_variation_array[$i["variation_id"]]["display_price"] = $i["display_price"];
							$adventeqa_products_product_variation_array[$i["variation_id"]]["display_regular_price"] = $i["display_regular_price"];

						}						
						
					}
				
					
				
					if( "" != $adventeqa_products_product_sale_price ){
						
						$adventeqa_products_product_sale_amount = ( ( floor($adventeqa_products_product_orig_price * 100) - floor($adventeqa_products_product_sale_price * 100) ) / 100 );
						
					}
			
					if( "product_variation" != $adventeqa_products_product_is_variation ):
			
			?>
			<div data-adventeqa-product-id="<?php echo esc_attr($adventeqa_products_product_id); ?>" class="adventeqa-sale-one-content-item">

				<div class="adventeqa-sale-one-content-item-image">
					<img src="<?php echo esc_url($adventeqa_products_product_image[0]); ?>" />
				</div>
				<div class="adventeqa-sale-one-content-item-content">
					
					<h3><a href="<?php echo esc_url($adventeqa_products_product->get_permalink()); ?>"><?php echo esc_html($adventeqa_products_product_name); ?></a></h3>
					<p><?php echo esc_html($adventeqa_products_product_desc); ?></p>
					<p>

						<?php if( "variable" == $adventeqa_products_product_type ): ?>

							<span class="adventeqa-sale-one-item-price-sale"><?php echo esc_html($adventeqa_products_product->get_price_html()); ?></span>

						<?php else : ?>

							<?php if( "" != $adventeqa_products_product_sale_price ): ?>

								<span class="adventeqa-sale-one-item-price-orig"><s><?php echo esc_html($adventeqa_products_product_currency) .'' . esc_html($adventeqa_products_product_orig_price); ?></s></span>
								<span class="adventeqa-sale-one-item-price-sale"><?php echo esc_html($adventeqa_products_product_currency) .'' . esc_html($adventeqa_products_product_sale_price); ?></span>

							<?php else : ?>

								<span class="adventeqa-sale-one-item-price-sale"><?php echo esc_html($adventeqa_products_product_currency) .'' . esc_html($adventeqa_products_product_orig_price); ?></span>

							<?php endif; ?>						

						<?php endif; ?>							
					</p>
					<p class="adventeqa-sale-one-content-item-content-add-to-cart"><a href="<?php echo esc_url($adventeqa_products_product->get_permalink()); ?>"><?php esc_html_e( "View Details", "adventeqa" ) ?></a></p>

				</div>
				<div class="adventeqa-products-one-item-badge-container">
					<div class="adventeqa-products-one-item-badge">
						<?php if( 'no' == $adventeqa_products_product_has_variations ): ?>
							<h3><span><?php esc_html_e( "SALE", "adventeqa" ) ?></span><?php echo esc_html($adventeqa_products_product_currency) . esc_html($adventeqa_products_product_sale_amount); ?><span><?php esc_html_e( "off", "adventeqa" ) ?></span></h3>
						<?php else : ?>
							<h3><span><?php esc_html_e( "ON", "adventeqa" ) ?></span><span><?php esc_html_e( "SALE", "adventeqa" ) ?></span></h3>					
						<?php endif; ?>
					</div>
				</div>				

			</div>
			<?php endif; endif; endforeach; else: ?>
			
			<div class="adventeqa-sale-one-content-item">

				<div class="adventeqa-sale-one-content-item-image">
					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				</div>
				<div class="adventeqa-sale-one-content-item-content">
					
					<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
					<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
					<p>
						<span class="adventeqa-sale-one-item-price-orig"><s><?php esc_html_e( "$59", "adventeqa" ) ?></s></span>
						<span class="adventeqa-sale-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>
					</p>
					<p class="adventeqa-sale-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "View Details", "adventeqa" ) ?></a></p>

				</div>
				<div class="adventeqa-products-one-item-badge-container">
					<div class="adventeqa-products-one-item-badge">
						<h3><span><?php esc_html_e( "SALE", "adventeqa" ) ?></span><?php esc_html_e( "$20", "adventeqa" ) ?><span><?php esc_html_e( "off", "adventeqa" ) ?></span></h3>
					</div>
				</div>				

			</div>
			<div class="adventeqa-sale-one-content-item">

				<div class="adventeqa-sale-one-content-item-image">
					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				</div>
				<div class="adventeqa-sale-one-content-item-content">
					
					<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
					<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
					<p>
						<span class="adventeqa-sale-one-item-price-orig"><s><?php esc_html_e( "$59", "adventeqa" ) ?></s></span>
						<span class="adventeqa-sale-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>
					</p>
					<p class="adventeqa-sale-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "View Details", "adventeqa" ) ?></a></p>

				</div>
				<div class="adventeqa-products-one-item-badge-container">
					<div class="adventeqa-products-one-item-badge">
						<h3><span><?php esc_html_e( "SALE", "adventeqa" ) ?></span><?php esc_html_e( "$20", "adventeqa" ) ?><span><?php esc_html_e( "off", "adventeqa" ) ?></span></h3>
					</div>
				</div>				

			</div>
			<div class="adventeqa-sale-one-content-item">

				<div class="adventeqa-sale-one-content-item-image">
					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				</div>
				<div class="adventeqa-sale-one-content-item-content">
					
					<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
					<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
					<p>
						<span class="adventeqa-sale-one-item-price-orig"><s><?php esc_html_e( "$59", "adventeqa" ) ?></s></span>
						<span class="adventeqa-sale-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>
					</p>
					<p class="adventeqa-sale-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "View Details", "adventeqa" ) ?></a></p>

				</div>
				<div class="adventeqa-products-one-item-badge-container">
					<div class="adventeqa-products-one-item-badge">
						<h3><span><?php esc_html_e( "SALE", "adventeqa" ) ?></span><?php esc_html_e( "$20", "adventeqa" ) ?><span><?php esc_html_e( "off", "adventeqa" ) ?></span></h3>
					</div>
				</div>				

			</div>
			<div class="adventeqa-sale-one-content-item">

				<div class="adventeqa-sale-one-content-item-image">
					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				</div>
				<div class="adventeqa-sale-one-content-item-content">
					
					<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
					<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
					<p>
						<span class="adventeqa-sale-one-item-price-orig"><s><?php esc_html_e( "$59", "adventeqa" ) ?></s></span>
						<span class="adventeqa-sale-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>
					</p>
					<p class="adventeqa-sale-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "View Details", "adventeqa" ) ?></a></p>

				</div>
				<div class="adventeqa-products-one-item-badge-container">
					<div class="adventeqa-products-one-item-badge">
						<h3><span><?php esc_html_e( "SALE", "adventeqa" ) ?></span><?php esc_html_e( "$20", "adventeqa" ) ?><span><?php esc_html_e( "off", "adventeqa" ) ?></span></h3>
					</div>
				</div>				

			</div>
			<div class="adventeqa-sale-one-content-item">

				<div class="adventeqa-sale-one-content-item-image">
					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				</div>
				<div class="adventeqa-sale-one-content-item-content">
					
					<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
					<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
					<p>
						<span class="adventeqa-sale-one-item-price-orig"><s><?php esc_html_e( "$59", "adventeqa" ) ?></s></span>
						<span class="adventeqa-sale-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>
					</p>
					<p class="adventeqa-sale-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "View Details", "adventeqa" ) ?></a></p>

				</div>
				<div class="adventeqa-products-one-item-badge-container">
					<div class="adventeqa-products-one-item-badge">
						<h3><span><?php esc_html_e( "SALE", "adventeqa" ) ?></span><?php esc_html_e( "$20", "adventeqa" ) ?><span><?php esc_html_e( "off", "adventeqa" ) ?></span></h3>
					</div>
				</div>				

			</div>
			<div class="adventeqa-sale-one-content-item">

				<div class="adventeqa-sale-one-content-item-image">
					<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/product.png" />
				</div>
				<div class="adventeqa-sale-one-content-item-content">
					
					<h3><a href="#"><?php esc_html_e( "Test Product", "adventeqa" ) ?></a></h3>
					<p><?php esc_html_e( "Test Product description comes here. Add some products, put some products on sale.", "adventeqa" ) ?></p>
					<p>
						<span class="adventeqa-sale-one-item-price-orig"><s><?php esc_html_e( "$59", "adventeqa" ) ?></s></span>
						<span class="adventeqa-sale-one-item-price-sale"><?php esc_html_e( "$20", "adventeqa" ) ?></span>
					</p>
					<p class="adventeqa-sale-one-content-item-content-add-to-cart"><a href="#"><?php esc_html_e( "View Details", "adventeqa" ) ?></a></p>

				</div>
				<div class="adventeqa-products-one-item-badge-container">
					<div class="adventeqa-products-one-item-badge">
						<h3><span><?php esc_html_e( "SALE", "adventeqa" ) ?></span><?php esc_html_e( "$20", "adventeqa" ) ?><span><?php esc_html_e( "off", "adventeqa" ) ?></span></h3>
					</div>
				</div>				

			</div>			
			
			
			<?php endif; ?>
			
		</div>
		
	</div>	

</div>