<div id="adventeqa-slider-container" class="adventeqa-slider-one-container">

	<?php
		
		global $adventeqa_meta_options;
	
		$adventeqa_featured_products = get_posts(
			array(
				'post_type'=>"product", 
				'meta_key'   => 'adventeqa_show_in_product_slider',
				'meta_value' => 'yes',
				'ignore_sticky_posts' => 1,
				'posts_per_page'=> get_theme_mod('adventeqa_product_slider_num', 5),
				'fields' => 'ids',
			)
		);

		$adventeqa_featured_product_num = 0;
	
		if( !empty($adventeqa_featured_products) ):
		foreach( $adventeqa_featured_products as $i ) :
	
			$adventeqa_featured_product_orig_price = "";
			$adventeqa_featured_product_sale_price = "";
			$adventeqa_featured_product_on_sale = false;
			$adventeqa_featured_product_currency = "";
			$adventeqa_featured_product_type = "";
			$adventeqa_featured_product_name = "";
			$adventeqa_featured_product_desc = "";
			$adventeqa_featured_product_currency = get_woocommerce_currency_symbol();
			$adventeqa_featured_product_slide_type = 'adventeqa-slider-one-item-type-two';
			$adventeqa_featured_product_slide_bg = get_template_directory_uri() . '/assets/images/product-bg-01.jpg';
			$adventeqa_featured_product_slide_bg_position = "top right";

			if( ctype_digit( $i ) ){

				$adventeqa_featured_product = wc_get_product( $i );

				$adventeqa_featured_product_orig_price = $adventeqa_featured_product->get_regular_price();
				$adventeqa_featured_product_sale_price = $adventeqa_featured_product->get_sale_price();
				$adventeqa_featured_product_on_sale = $adventeqa_featured_product->is_on_sale();
				$adventeqa_featured_product_type = $adventeqa_featured_product->get_type();
				$adventeqa_featured_product_image = wp_get_attachment_image_src( $adventeqa_featured_product->get_image_id(), 'full' );
				$adventeqa_featured_product_name = $adventeqa_featured_product->get_name();
				$adventeqa_featured_product_desc = $adventeqa_featured_product->get_short_description();			

			}

			$adventeqa_featured_product_slide_type_setting = get_post_meta($i, "adventeqa_product_slide_type", true );
			$adventeqa_featured_product_slide_overlay_type_setting = get_post_meta($i, "adventeqa_product_slide_overlay_type", true );
			if( 'select' != $adventeqa_featured_product_slide_type_setting && '' != $adventeqa_featured_product_slide_type_setting ){
				
				$adventeqa_featured_product_slide_overlay_type = "adventeqa-slider-one-item-type-one-black";
				
				if( 'one' == $adventeqa_featured_product_slide_type_setting ){
					$adventeqa_featured_product_slide_type = 'adventeqa-slider-one-item-type-one';
					$adventeqa_featured_product_slide_bg = $adventeqa_featured_product_image[0];
					$adventeqa_featured_product_slide_bg_position = "top right";
				}
				if( 'two' == $adventeqa_featured_product_slide_type_setting ){
					$adventeqa_featured_product_slide_type = 'adventeqa-slider-one-item-type-two';
					$adventeqa_featured_product_slide_bg = get_template_directory_uri() . '/assets/images/product-bg-01.jpg';
					$adventeqa_featured_product_slide_bg_position = "top right";
				}				
				if( 'three' == $adventeqa_featured_product_slide_type_setting ){
					$adventeqa_featured_product_slide_type = 'adventeqa-slider-one-item-type-three';
					$adventeqa_featured_product_slide_bg = $adventeqa_featured_product_image[0];
					$adventeqa_featured_product_slide_bg_position = "top left";
				}				
				
			}
	
			foreach( $adventeqa_meta_options['overlay_type'] as $key => $value ){
						
				if( $key == $adventeqa_featured_product_slide_overlay_type_setting ){
					$adventeqa_featured_product_slide_overlay_type = $adventeqa_featured_product_slide_type . '-' . $key;
				}
						
			}
	
			$adventeqa_featured_product_slide_bg_setting = get_post_meta($i, "adventeqa_product_slide_bg_position", true );
			if( 'select' != $adventeqa_featured_product_slide_bg_setting && '' != $adventeqa_featured_product_slide_bg_setting ){
				$adventeqa_featured_product_slide_bg_position = $adventeqa_featured_product_slide_bg_setting;
			}

	?>
	

	<div class="adventeqa-slider-one-item <?php echo esc_attr($adventeqa_featured_product_slide_type) . ' ' . esc_attr($adventeqa_featured_product_slide_overlay_type); ?>" style="background:url('<?php echo esc_url($adventeqa_featured_product_slide_bg); ?>') <?php echo esc_attr($adventeqa_featured_product_slide_bg_position); ?> no-repeat">

		<div class="adventeqa-slider-one-item-overlay">
		
			<div class="adventeqa-slider-one-item-image">
				<img src="<?php echo esc_url($adventeqa_featured_product_image[0]); ?>" />
			</div>
		
			<div class="adventeqa-slider-one-item-content">
				<h3><?php echo esc_html($adventeqa_featured_product_name); ?></h3>
				<p><?php echo esc_html($adventeqa_featured_product_desc); ?></p>
				<p>
					<?php if( "variable" == $adventeqa_featured_product_type ): ?>
					
						<span class="adventeqa-slider-one-item-price-sale"><?php echo esc_html($adventeqa_featured_product->get_price_html()); ?></span>
					
					<?php else : ?>
					
						<?php if( "" != $adventeqa_featured_product_sale_price ): ?>

							<span class="adventeqa-slider-one-item-price-orig"><s><?php echo esc_html($adventeqa_featured_product_currency) .'' . esc_html($adventeqa_featured_product_orig_price); ?></s></span>
							<span class="adventeqa-slider-one-item-price-sale"><?php echo esc_html($adventeqa_featured_product_currency) .'' . esc_html($adventeqa_featured_product_sale_price); ?></span>

						<?php else : ?>

							<span class="adventeqa-slider-one-item-price-sale"><?php echo esc_html($adventeqa_featured_product_currency) .'' . esc_html($adventeqa_featured_product_orig_price); ?></span>

						<?php endif; ?>						
					
					<?php endif; ?>		
				</p>
				<p><a href="<?php echo esc_url($adventeqa_featured_product->get_permalink()); ?>" ><?php esc_html_e('Buy Now', 'adventeqa'); ?></a></p>
			</div>
		
		</div>	
	
	</div>
	<?php endforeach; else:?>
		
	<div class="adventeqa-slider-one-item adventeqa-slider-one-item-type-three" style="background:url('<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/slide-04.jpg') bottom left no-repeat">
		

		<div class="adventeqa-slider-one-item-overlay adventeqa-slider-slide-2" style="">
		
			<div class="adventeqa-slider-one-item-image">
				<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/slide-01.jpg" />
			</div>
		
			<div class="adventeqa-slider-one-item-content" style="padding: 7% 0 7% 60%;">
				<h3 ><?php esc_html_e('New year Sale - UpTo 75% Off', 'adventeqa'); ?></h3>
				<p ><?php esc_html_e('This is demo text, please add some products and vanish me. This is demo text, please add some products and vanish me.', 'adventeqa'); ?></p>
				<p>
					<span class="adventeqa-slider-one-item-price-sale" ><?php esc_html_e('$44', 'adventeqa'); ?></span>		
				</p>
				<p><a  href="#" ><?php esc_html_e('Shop Now', 'adventeqa'); ?></a></p>
			</div>
					
		</div>	
	
	</div>		
		
	<?php endif; ?>	

</div>